#ifndef SECURE_H_
#define SECURE_H_

#include <arm_cmse.h>     // CMSE definitions
#include <stdint.h>
#include "interface.h"    // Header file with secure interface API

extern uint32_t GetSystemCoreClock(void);
extern int init(NS_getID fctptr);
extern int save(const unsigned char *data, unsigned char len);
extern int restore(unsigned char *data);

#endif /* SECURE_H_ */
